-- Animation script for fiat-Allis FD14e
-- By Harley
-- 04/06/2010

Fiat455c = {};

function Fiat455c.prerequisitesPresent(specializations)
    return true;
end;

function Fiat455c:load(xmlFile)

	

end;

function Fiat455c:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Fiat455c:keyEvent(unicode, sym, modifier, isDown)
end;

function Fiat455c:update(dt)
	if self:getIsActiveForInput() then
		
		
		if InputBinding.isPressed(InputBinding.Fiat455c_Barra_traino1) and self:getIsActiveForInput() then
			self:setAnimationTime(1, self.animationParts[1].currentPosition+(self.animationParts[1].offSet+dt), false);
		elseif InputBinding.isPressed(InputBinding.Fiat455c_Barra_traino2) and self:getIsActiveForInput() then
			self:setAnimationTime(1, self.animationParts[1].currentPosition-(self.animationParts[1].offSet+dt), false);
		end;
		
	end;
	
end;

function Fiat455c:updateTick(dt)

	
	
end;


function Fiat455c:delete()
end;

function Fiat455c:validateAttacherJoint(implement, jointDesc, dt)
    return true;
end;

function Fiat455c:draw()

	g_currentMission:addExtraPrintText(g_i18n:getText("Fiat455c_Barra_traino")); 
	g_currentMission:addExtraPrintText(g_i18n:getText("Fiat455c_cab"));
      g_currentMission:addExtraPrintText(g_i18n:getText("Start"));

end;